@layer properties, theme, base, default;
/* layer: properties */
@layer properties{
@supports ((-webkit-hyphens: none) and (not (margin-trim: inline))) or ((-moz-orient: inline) and (not (color:rgb(from red r g b)))){*, ::before, ::after, ::backdrop{--un-ring-opacity:100%;--un-bg-opacity:100%;--un-text-opacity:100%;--un-border-opacity:100%;}}
@property --un-text-opacity{syntax:"<percentage>";inherits:false;initial-value:100%;}
@property --un-outline-style{syntax:"*";inherits:false;initial-value:solid;}
@property --un-border-opacity{syntax:"<percentage>";inherits:false;initial-value:100%;}
@property --un-bg-opacity{syntax:"<percentage>";inherits:false;initial-value:100%;}
@property --un-ring-opacity{syntax:"<percentage>";inherits:false;initial-value:100%;}
@property --un-inset-ring-color{syntax:"*";inherits:false;}
@property --un-inset-ring-shadow{syntax:"*";inherits:false;initial-value:0 0 #0000;}
@property --un-inset-shadow{syntax:"*";inherits:false;initial-value:0 0 #0000;}
@property --un-inset-shadow-color{syntax:"*";inherits:false;}
@property --un-ring-color{syntax:"*";inherits:false;}
@property --un-ring-inset{syntax:"*";inherits:false;}
@property --un-ring-offset-color{syntax:"*";inherits:false;}
@property --un-ring-offset-shadow{syntax:"*";inherits:false;initial-value:0 0 #0000;}
@property --un-ring-offset-width{syntax:"<length>";inherits:false;initial-value:0px;}
@property --un-ring-shadow{syntax:"*";inherits:false;initial-value:0 0 #0000;}
@property --un-shadow{syntax:"*";inherits:false;initial-value:0 0 #0000;}
@property --un-shadow-color{syntax:"*";inherits:false;}
}
/* layer: theme */
@layer theme{
:root, :host {
--spacing: 0.25rem;
--default-transition-timingFunction: cubic-bezier(0.4, 0, 0.2, 1);
--default-transition-duration: 150ms;
--radius-md: calc(var(--radius) - 2px);
--fontWeight-medium: 500;
--colors-white: #fff;
--text-sm-fontSize: 0.875rem;
--text-sm-lineHeight: 1.25rem;
--font-sans: var(--font-sans);
--font-mono: var(--font-mono);
--default-font-family: var(--font-sans);
--default-monoFont-family: var(--font-mono);
}
}
/* layer: base */
@layer base{
/*
  1. Prevent padding and border from affecting element width. (https://github.com/mozdevs/cssremedy/issues/4)
  2. Remove default margins and padding
  3. Reset all borders.
*/

*,
::after,
::before,
::backdrop,
::file-selector-button {
  box-sizing: border-box; /* 1 */
  margin: 0; /* 2 */
  padding: 0; /* 2 */
  border: 0 solid; /* 3 */
}

/*
  1. Use a consistent sensible line-height in all browsers.
  2. Prevent adjustments of font size after orientation changes in iOS.
  3. Use a more readable tab size.
  4. Use the user's configured `sans` font-family by default.
  5. Use the user's configured `sans` font-feature-settings by default.
  6. Use the user's configured `sans` font-variation-settings by default.
  7. Disable tap highlights on iOS.
*/

html,
:host {
  line-height: 1.5; /* 1 */
  -webkit-text-size-adjust: 100%; /* 2 */
  tab-size: 4; /* 3 */
  font-family: var(
    --default-font-family,
    ui-sans-serif,
    system-ui,
    sans-serif,
    'Apple Color Emoji',
    'Segoe UI Emoji',
    'Segoe UI Symbol',
    'Noto Color Emoji'
  ); /* 4 */
  font-feature-settings: var(--default-font-featureSettings, normal); /* 5 */
  font-variation-settings: var(--default-font-variationSettings, normal); /* 6 */
  -webkit-tap-highlight-color: transparent; /* 7 */
}

/*
  1. Add the correct height in Firefox.
  2. Correct the inheritance of border color in Firefox. (https://bugzilla.mozilla.org/show_bug.cgi?id=190655)
  3. Reset the default border style to a 1px solid border.
*/

hr {
  height: 0; /* 1 */
  color: inherit; /* 2 */
  border-top-width: 1px; /* 3 */
}

/*
  Add the correct text decoration in Chrome, Edge, and Safari.
*/

abbr:where([title]) {
  -webkit-text-decoration: underline dotted;
  text-decoration: underline dotted;
}

/*
  Remove the default font size and weight for headings.
*/

h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: inherit;
  font-weight: inherit;
}

/*
  Reset links to optimize for opt-in styling instead of opt-out.
*/

a {
  color: inherit;
  -webkit-text-decoration: inherit;
  text-decoration: inherit;
}

/*
  Add the correct font weight in Edge and Safari.
*/

b,
strong {
  font-weight: bolder;
}

/*
  1. Use the user's configured `mono` font-family by default.
  2. Use the user's configured `mono` font-feature-settings by default.
  3. Use the user's configured `mono` font-variation-settings by default.
  4. Correct the odd `em` font sizing in all browsers.
*/

code,
kbd,
samp,
pre {
  font-family: var(
    --default-monoFont-family,
    ui-monospace,
    SFMono-Regular,
    Menlo,
    Monaco,
    Consolas,
    'Liberation Mono',
    'Courier New',
    monospace
  ); /* 1 */
  font-feature-settings: var(--default-monoFont-featureSettings, normal); /* 2 */
  font-variation-settings: var(--default-monoFont-variationSettings, normal); /* 3 */
  font-size: 1em; /* 4 */
}

/*
  Add the correct font size in all browsers.
*/

small {
  font-size: 80%;
}

/*
  Prevent `sub` and `sup` elements from affecting the line height in all browsers.
*/

sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

/*
  1. Remove text indentation from table contents in Chrome and Safari. (https://bugs.chromium.org/p/chromium/issues/detail?id=999088, https://bugs.webkit.org/show_bug.cgi?id=201297)
  2. Correct table border color inheritance in all Chrome and Safari. (https://bugs.chromium.org/p/chromium/issues/detail?id=935729, https://bugs.webkit.org/show_bug.cgi?id=195016)
  3. Remove gaps between table borders by default.
*/

table {
  text-indent: 0; /* 1 */
  border-color: inherit; /* 2 */
  border-collapse: collapse; /* 3 */
}

/*
  Use the modern Firefox focus style for all focusable elements.
*/

:-moz-focusring {
  outline: auto;
}

/*
  Add the correct vertical alignment in Chrome and Firefox.
*/

progress {
  vertical-align: baseline;
}

/*
  Add the correct display in Chrome and Safari.
*/

summary {
  display: list-item;
}

/*
  Make lists unstyled by default.
*/

ol,
ul,
menu {
  list-style: none;
}

/*
  1. Make replaced elements `display: block` by default. (https://github.com/mozdevs/cssremedy/issues/14)
  2. Add `vertical-align: middle` to align replaced elements more sensibly by default. (https://github.com/jensimmons/cssremedy/issues/14#issuecomment-634934210)
      This can trigger a poorly considered lint error in some tools but is included by design.
*/

img,
svg,
video,
canvas,
audio,
iframe,
embed,
object {
  display: block; /* 1 */
  vertical-align: middle; /* 2 */
}

/*
  Constrain images and videos to the parent width and preserve their intrinsic aspect ratio. (https://github.com/mozdevs/cssremedy/issues/14)
*/

img,
video {
  max-width: 100%;
  height: auto;
}

/*
  1. Inherit font styles in all browsers.
  2. Remove border radius in all browsers.
  3. Remove background color in all browsers.
  4. Ensure consistent opacity for disabled states in all browsers.
*/

button,
input,
select,
optgroup,
textarea,
::file-selector-button {
  font: inherit; /* 1 */
  font-feature-settings: inherit; /* 1 */
  font-variation-settings: inherit; /* 1 */
  letter-spacing: inherit; /* 1 */
  color: inherit; /* 1 */
  border-radius: 0; /* 2 */
  background-color: transparent; /* 3 */
  opacity: 1; /* 4 */
}

/*
  Restore default font weight.
*/

:where(select:is([multiple], [size])) optgroup {
  font-weight: bolder;
}

/*
  Restore indentation.
*/

:where(select:is([multiple], [size])) optgroup option {
  padding-inline-start: 20px;
}

/*
  Restore space after button.
*/

::file-selector-button {
  margin-inline-end: 4px;
}

/*
  Reset the default placeholder opacity in Firefox. (https://github.com/tailwindlabs/tailwindcss/issues/3300)
*/

::placeholder {
  opacity: 1;
}

/*
  Set the default placeholder color to a semi-transparent version of the current text color in browsers that do not
  crash when using `color-mix(…)` with `currentcolor`. (https://github.com/tailwindlabs/tailwindcss/issues/17194)
*/

@supports (not (-webkit-appearance: -apple-pay-button)) /* Not Safari */ or
  (contain-intrinsic-size: 1px) /* Safari 17+ */ {
  ::placeholder {
    color: color-mix(in oklab, currentcolor 50%, transparent);
  }
}

/*
  Prevent resizing textareas horizontally by default.
*/

textarea {
  resize: vertical;
}

/*
  Remove the inner padding in Chrome and Safari on macOS.
*/

::-webkit-search-decoration {
  -webkit-appearance: none;
}

/*
  1. Ensure date/time inputs have the same height when empty in iOS Safari.
  2. Ensure text alignment can be changed on date/time inputs in iOS Safari.
*/

::-webkit-date-and-time-value {
  min-height: 1lh; /* 1 */
  text-align: inherit; /* 2 */
}

/*
  Prevent height from changing on date/time inputs in macOS Safari when the input is set to `display: block`.
*/

::-webkit-datetime-edit {
  display: inline-flex;
}

/*
  Remove excess padding from pseudo-elements in date/time inputs to ensure consistent height across browsers.
*/

::-webkit-datetime-edit-fields-wrapper {
  padding: 0;
}

::-webkit-datetime-edit,
::-webkit-datetime-edit-year-field,
::-webkit-datetime-edit-month-field,
::-webkit-datetime-edit-day-field,
::-webkit-datetime-edit-hour-field,
::-webkit-datetime-edit-minute-field,
::-webkit-datetime-edit-second-field,
::-webkit-datetime-edit-millisecond-field,
::-webkit-datetime-edit-meridiem-field {
  padding-block: 0;
}

/*
  Center dropdown marker shown on inputs with paired `<datalist>`s in Chrome. (https://github.com/tailwindlabs/tailwindcss/issues/18499)
*/

::-webkit-calendar-picker-indicator {
  line-height: 1;
}

/*
  Remove the additional `:invalid` styles in Firefox. (https://github.com/mozilla/gecko-dev/blob/2f9eacd9d3d995c937b4251a5557d95d494c9be1/layout/style/res/forms.css#L728-L737)
*/

:-moz-ui-invalid {
  box-shadow: none;
}

/*
  Correct the inability to style the border radius in iOS Safari.
*/

button,
input:where([type='button'], [type='reset'], [type='submit']),
::file-selector-button {
  appearance: button;
}

/*
  Correct the cursor style of increment and decrement buttons in Safari.
*/

::-webkit-inner-spin-button,
::-webkit-outer-spin-button {
  height: auto;
}

/*
  Make elements with the HTML hidden attribute stay hidden by default.
*/

[hidden]:where(:not([hidden~='until-found'])) {
  display: none !important;
}
*, ::before, ::after { border-color: var(--border); }
}
/* layer: default */
@layer default{
.text-sm{font-size:var(--text-sm-fontSize);line-height:var(--un-leading, var(--text-sm-lineHeight));}
.text-foreground{color:color-mix(in srgb, var(--foreground) var(--un-text-opacity), transparent) /* var(--foreground) */;}
.text-primary-foreground{color:color-mix(in srgb, var(--primary-foreground) var(--un-text-opacity), transparent) /* var(--primary-foreground) */;}
.text-secondary-foreground{color:color-mix(in srgb, var(--secondary-foreground) var(--un-text-opacity), transparent) /* var(--secondary-foreground) */;}
.text-white{color:color-mix(in srgb, var(--colors-white) var(--un-text-opacity), transparent) /* #fff */;}
.hover\:text-accent-foreground:hover{color:color-mix(in srgb, var(--accent-foreground) var(--un-text-opacity), transparent) /* var(--accent-foreground) */;}
.hover\:text-primary:hover{color:color-mix(in srgb, var(--primary) var(--un-text-opacity), transparent) /* var(--primary) */;}
.font-medium{--un-font-weight:var(--fontWeight-medium);font-weight:var(--fontWeight-medium);}
.has-\[\>svg\]\:px-2\.5:has(>svg){padding-inline:calc(var(--spacing) * 2.5);}
.has-\[\>svg\]\:px-3:has(>svg),
.px-3{padding-inline:calc(var(--spacing) * 3);}
.has-\[\>svg\]\:px-4:has(>svg),
.px-4{padding-inline:calc(var(--spacing) * 4);}
.px-6{padding-inline:calc(var(--spacing) * 6);}
.py{padding-block:calc(var(--spacing) * 4);}
.py-2{padding-block:calc(var(--spacing) * 2);}
.pl{padding-left:calc(var(--spacing) * 4);}
.outline{outline-style:var(--un-outline-style);outline-width:1px;}
.outline-none{--un-outline-style:none;outline-style:none;}
.border{border-width:1px;}
.aria-\[invalid\]\:border-destructive[aria-invalid]{border-color:color-mix(in srgb, var(--destructive) var(--un-border-opacity), transparent) /* var(--destructive) */;}
.border-input{border-color:color-mix(in srgb, var(--input) var(--un-border-opacity), transparent) /* var(--input) */;}
.focus-visible\:border-ring:focus-visible{border-color:color-mix(in srgb, var(--ring) var(--un-border-opacity), transparent) /* var(--ring) */;}
.rounded-md{border-radius:var(--radius-md);}
.bg-background{background-color:color-mix(in srgb, var(--background) var(--un-bg-opacity), transparent) /* var(--background) */;}
.bg-destructive{background-color:color-mix(in srgb, var(--destructive) var(--un-bg-opacity), transparent) /* var(--destructive) */;}
.bg-primary{background-color:color-mix(in srgb, var(--primary) var(--un-bg-opacity), transparent) /* var(--primary) */;}
.bg-secondary{background-color:color-mix(in srgb, var(--secondary) var(--un-bg-opacity), transparent) /* var(--secondary) */;}
.dark .dark\:bg-destructive\/60{background-color:color-mix(in srgb, var(--destructive) 60%, transparent) /* var(--destructive) */;}
.dark .dark\:bg-input\/30{background-color:color-mix(in srgb, var(--input) 30%, transparent) /* var(--input) */;}
.dark .dark\:hover\:bg-accent\/50:hover{background-color:color-mix(in srgb, var(--accent) 50%, transparent) /* var(--accent) */;}
.dark .dark\:hover\:bg-input\/50:hover{background-color:color-mix(in srgb, var(--input) 50%, transparent) /* var(--input) */;}
.hover\:bg-accent:hover{background-color:color-mix(in srgb, var(--accent) var(--un-bg-opacity), transparent) /* var(--accent) */;}
.hover\:bg-destructive\/90:hover{background-color:color-mix(in srgb, var(--destructive) 90%, transparent) /* var(--destructive) */;}
.hover\:bg-primary\/90:hover{background-color:color-mix(in srgb, var(--primary) 90%, transparent) /* var(--primary) */;}
.hover\:bg-secondary\/80:hover{background-color:color-mix(in srgb, var(--secondary) 80%, transparent) /* var(--secondary) */;}
.disabled\:opacity-50:disabled{opacity:50%;}
.underline{text-decoration-line:underline;}
.hover\:underline:hover{text-decoration-line:underline;}
.underline-offset-4{text-underline-offset:4px;}
.inline-flex{display:inline-flex;}
.\[\&_svg\]\:shrink-0 svg,
.shrink-0{flex-shrink:0;}
.gap-1\.5{gap:calc(var(--spacing) * 1.5);}
.gap-2{gap:calc(var(--spacing) * 2);}
.size-10{width:calc(var(--spacing) * 10);height:calc(var(--spacing) * 10);}
.size-8{width:calc(var(--spacing) * 8);height:calc(var(--spacing) * 8);}
.size-9{width:calc(var(--spacing) * 9);height:calc(var(--spacing) * 9);}
.h-10{height:calc(var(--spacing) * 10);}
.h-8{height:calc(var(--spacing) * 8);}
.h-9{height:calc(var(--spacing) * 9);}
.visible{visibility:visible;}
.\[\&_svg\]\:pointer-events-none svg{pointer-events:none;}
.disabled\:pointer-events-none:disabled{pointer-events:none;}
.whitespace-nowrap{white-space:nowrap;}
.focus-visible\:ring-\[3px\]:focus-visible{--un-ring-shadow:var(--un-ring-inset,) 0 0 0 calc(3px + var(--un-ring-offset-width)) var(--un-ring-color, currentColor);box-shadow:var(--un-inset-shadow), var(--un-inset-ring-shadow), var(--un-ring-offset-shadow), var(--un-ring-shadow), var(--un-shadow);}
.aria-\[invalid\]\:ring-destructive\/20[aria-invalid]{--un-ring-color:color-mix(in srgb, var(--destructive) 20%, transparent) /* var(--destructive) */;}
.dark .dark\:aria-\[invalid\]\:ring-destructive\/40[aria-invalid]{--un-ring-color:color-mix(in srgb, var(--destructive) 40%, transparent) /* var(--destructive) */;}
.dark .dark\:focus-visible\:ring-destructive\/40:focus-visible{--un-ring-color:color-mix(in srgb, var(--destructive) 40%, transparent) /* var(--destructive) */;}
.focus-visible\:ring-destructive\/20:focus-visible{--un-ring-color:color-mix(in srgb, var(--destructive) 20%, transparent) /* var(--destructive) */;}
.focus-visible\:ring-ring\/50:focus-visible{--un-ring-color:color-mix(in srgb, var(--ring) 50%, transparent) /* var(--ring) */;}
.shadow-xs{--un-shadow:0 1px 2px 0 var(--un-shadow-color, rgb(0 0 0 / 0.05));box-shadow:var(--un-inset-shadow), var(--un-inset-ring-shadow), var(--un-ring-offset-shadow), var(--un-ring-shadow), var(--un-shadow);}
.transition{transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,--un-gradient-from,--un-gradient-via,--un-gradient-to,opacity,box-shadow,transform,translate,scale,rotate,filter,-webkit-backdrop-filter,backdrop-filter;transition-timing-function:var(--un-ease, var(--default-transition-timingFunction));transition-duration:var(--un-duration, var(--default-transition-duration));}
.transition-all{transition-property:all;transition-timing-function:var(--un-ease, var(--default-transition-timingFunction));transition-duration:var(--un-duration, var(--default-transition-duration));}
.items-center{align-items:center;}
.justify-center{justify-content:center;}
.static{position:static;}
@supports (color: color-mix(in lab, red, red)){
.text-white{color:color-mix(in oklab, var(--colors-white) var(--un-text-opacity), transparent) /* #fff */;}
}
}